// Party Manager.
// Worthless Bums 2012.


// Manages the party.
function manageParty ()
{//echo("manageParty()";
	
}
// Returns the number of cardinally aligned squad members to the specified tile.
function getCardinalSquadMemberCount (%xIndex, %yIndex)
{//echo("getCardinalSquadMemberCount()");
	%cardinalCount = 0;
	if ($playerSquad[0].xIndex == %xIndex	||
		$playerSquad[0].yIndex == %yIndex)
	{
		%cardinalCount++;
	}
	if ($playerSquad[1].xIndex == %xIndex	||
		$playerSquad[1].yIndex == %yIndex)
	{
		%cardinalCount++;
	}
	if ($playerSquad[2].xIndex == %xIndex	||
		$playerSquad[2].yIndex == %yIndex)
	{
		%cardinalCount++;
	}
	if ($playerSquad[3].xIndex == %xIndex	||
		$playerSquad[3].yIndex == %yIndex)
	{
		%cardinalCount++;
	}
	return %cardinalCount;
}